#
# spec file for package libkdumpfile
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Begin compatibility cruft
#

%{!?make_install:%define make_install make install DESTDIR=%{?buildroot}}

%if 0%{!?have_snappy:1}
%if 0%{?suse_version} >= 1310
%define have_snappy 1
%else
%define have_snappy 0
%endif
%endif

#
# End compatibility cruft

Name:           libkdumpfile
Version:        0.1.4
Release:        6.3
Summary:        Kernel dump file access library
License:        LGPL-3.0+ or GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            https://github.com/ptesarik/libkdumpfile
Source:         https://github.com/ptesarik/libkdumpfile/releases/download/v%version/%name-%version.tar.bz2
Patch1:         %{name}-add-EM_AARCH64.patch
BuildRequires:  libtool >= 2
BuildRequires:  lzo-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} < 1030
BuildRequires:  binutils
%else
BuildRequires:  binutils-devel
%endif
%if %{have_snappy}
BuildRequires:  snappy-devel
%endif

%description
A library that provides an abstraction layer for reading kernel dump
core files.  It supports different kernel dump core formats, virtual
to physical translation, Xen mappings and more.

%package -n libkdumpfile0
Summary:        Kernel dump file access library
Group:          System/Libraries

%description -n libkdumpfile0
A library that provides an abstraction layer for reading kernel dump
core files.  It supports different kernel dump core formats, virtual
to physical translation, Xen mappings and more.

%package devel
Summary:        Include files and libraries for libkdumpfile development
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libkdumpfile0 = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require libkdumpfile.

%prep
%setup -q
%patch1 -p1

%build
if [ ! -e configure ]; then
	autoreconf -fiv
fi
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
rm -v %{buildroot}%{_libdir}/libkdumpfile.la

%post -n libkdumpfile0 -p /sbin/ldconfig

%postun -n libkdumpfile0 -p /sbin/ldconfig

%files -n libkdumpfile0
%defattr(-,root,root)
%{_libdir}/libkdumpfile.so.*
%doc README.md COPYING COPYING.GPLv2 COPYING.GPLv3 COPYING.LGPLv3 NEWS

%files devel
%defattr(-,root,root)
%{_libdir}/libkdumpfile.so
%{_includedir}/kdumpfile.h

%changelog
* Sat Aug 22 2015 jengelh@inai.de
- Set RPM group per standard practices. Update license field to
  actual conditions. Use original source URL.
* Fri Dec  5 2014 ptesarik@suse.cz
- upgrade to libkdumpfile-0.1.4
  * Improved error reporting.
  * Support of 32-bit x86 file format.
* Fri Nov  7 2014 ptesarik@suse.cz
- upgrade to libkdumpfile-0.1.3
  * Support of z/Architecture and S390 Dump file format.
* Mon Nov  3 2014 ptesarik@suse.cz
- Do not build static libraries.
* Sun Nov  2 2014 ptesarik@suse.cz
- Fix devel package dependencies.
* Sun Nov  2 2014 ptesarik@suse.cz
- Define %%make_install if not yet defined. This allows building
  the package on very old products (SLES10).
* Sat Nov  1 2014 ptesarik@suse.cz
- libkdumpfile-add-EM_AARCH64.patch: Add definition of EM_AARCH64
  if missing.
* Fri Oct 31 2014 ptesarik@suse.cz
- Make snappy support optional (fix build on products that do not
  have that library).
* Fri Oct 31 2014 ptesarik@suse.cz
- upgrade to libkdumpfile-0.1.2
- Drop libkdumpfile-fix-kdump_phys_base.patch: Upstream.
* Wed Oct 29 2014 ptesarik@suse.cz
- libkdumpfile-fix-kdump_phys_base.patch: Fix return type of
  kdump_phys_base() in definition.
* Wed Oct 29 2014 ptesarik@suse.cz
- Initial import.
